#include "LecteurSSD.h"

Client* readConfig()
{
    std::string const source("config.txt");
    std::ifstream fluxIn(source.c_str());

    if (fluxIn)
    {
        //Ouverture fichier succés
        std::string IP;
        int port;

        fluxIn >> IP;
        fluxIn >> port;

        return new Client(IP, port);
    }
    else
    {
        //Echec ouverture fichier
        std::cout << "ERREUR: impossible de lire le fichier " << source << " ." << std::endl;
        return 0;
    }
}
